Welcome to XConnect

...realtime data from the field to your desktop.

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with the 32-bit operating systems and provides new tools and options for the user.

Sutron's XConnect software puts data at your fingertips with a foundation built on a relational database, the most powerful open system for data collection, data processing and storage available. Internet access is greatly simplified when data is in an open database. XConnect supports storage to Oracle®, Access, SQL Server, so far... ODBC opens XConnect to support storage of HTML, XML, Java Applets, and stored procedures to enhance Internet applications.

Features

  • Runs Under Windows 2000 and XP - Key modules are implemented as automation servers. Automation servers allow the exchange of methods and data among programs and development environments.

  • Multiple Communication Protocol Support - XConnect communicates with the entire family of Sutron RTUs using SSP (Sutron Standard Protocol).

  • Data time stamps set to the second. No separate files required for data with odd or random time intervals

  • Optional real-time error detection flags on data items. Supports two thresholds of alarm detection plus “no change” checks. Items carry quality flags to tell which data items and calculations may be suspect.

  • Communications diagnostics tools

  • Flexible, scalable relational database (ORACLE, ACCESS, SQL SERVER, MYSQL, so far...)

  • Intuitive user screens and tools

  • Optional historical data tables

Wide variety of calculations before and after data storage including:

  • Arbitrary Algebraic Operations

  • Multiple Table Lookups (often used to convert stream depth to discharge)

  • Automated Calculation and Storage of Statistics (MIN, MAX, SUM, MEAN, etc. post processing option)

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


XConnect Programs

XConnect is organized into the following manner:

  • XConnect Standard

  • XConnect Standard w/Database

  • XConnect Satellite

  • XConnect Satellite w/Database

  • XConnect Toolkit

XConnect Standard

XConnect Standard represents the baseline XConnect package for a conventional system. A conventional system is defined by use of telephones, radios, or direct connect cables connected to the Sutron dataloggers. Conventional systems are two-way systems, where XConnect will send a data request to the Sutron datalogger and the datalogger will reply. The specific XConnect programs in included are listed below. The data storage options are PcBase2 Binary files, ASCII log files, Excel files and XML files.

  • XC Desktop

  • XC Setup

  • XC Rtu

  • XC RTDisplay

  • XC DataView

XConnect Standard w/Database

XConnect Standard w/Database includes all of XConnect Standard and expands the data storage options to include databases (Oracle™ and Access). Additional modules are included to assist the user in viewing and manipulating the data.

  • XConnect Standard

  • XC Reports

  • XC PostProc

  • XC Calc

XConnect Satellite

XConnect Standard represents the baseline XConnect package for a satellite system. A satellite system is defined by use of satellite transmitters (GOES or SATLINK transmitters) connected to the Sutron dataloggers. Satellite systems are one-way systems, where XConnect will communicate with a digital direct readout groupnd station (DDRGS)/receive site multiplexor to receive the satellite messages. The specific XConnect programs in included are listed below. The data storage options are PcBase2 Binary files, ASCII log files, Excel files and XML files.

  • XC Desktop

  • XC Setup

  • XC Mux

  • XC Decode

  • XC Daps

  • XC RTDisplay

  • XC DataView

XConnect Satellite w/Database

XConnect Satellite w/Database includes all of XConnect Satellite and expands the data storage options to include databases (Oracle™ and Access). Additional modules are included to assist the user in viewing and manipulating the data.

  • XConnect Satellite

  • XC Reports

  • XC PostProc

  • XC Calc

XConnect ToolKit

XConnect Toolkit option includes add-on utilities.

  • XC Export

  • XC Alarm

XC Desktop

XC Desktop is used to setup XConnect base stations. XC Desktop defines the stations, sensors, communication ports, poll groups and data storage. Other features of XC Desktop include the ability to import 8200/8210/XPert/XLite/8210. XC Desktop works with the XC Setup described below so that all XConnect programs can have access to setup parameters.

XC Setup

XC Setup provides setup information to all the XConnect programs that need it. XC Setup is designed to isolate XConnect applications from the details of how setup information is stored and accessed. This allows the setup information for any application to be modified locally or remotely by any other application using COM/DCOM. The current implementation of the XC Setup stores information in the file XConnect.INI in an ASCII format, similar to other Windows .INI files. Because applications often cache setup information in their own local memory, XC Setup supports a method of notifying applications that setup information has been changed.

XC Rtu

XC Rtu is responsible for all communications in conventional systems. Conventional systems are with Sutron RTUs with telephones, LOS radios and direct connections. XC Rtu supports automatic polling for archived or current data. As the messages are processed they are stored to disk and made available in XC Rtus database for real-time access. The data values are then available to other programs such as Wonderware Intouch for display, or XC RTDisplay or XC DataView.

XC Rtu also supports many manually initiated operation such as uploading and downloading setups, starting and stopping RTUs, and other SSP operations. Uninitiated messages such as alarms are also supported. The XC Rtu features a polling display, protocol analyzer display and several message and status displays.

XC RTDisplay

XC RTDisplay real-time viewer of sensor data. XC RTDisplay monitors data, in real-time, from XC Rtu (for conventional systems) and XC Decode (for satellite systems) and displays the current values and time stamps for user selected sensor values.

XC DataView

XC DataView is used to view, graph, report and manipulate data stored in XConnect data storage options. XC DataView provides multiple graph styles and forms. Data can be manipulated and exported.

XC Mux

XC Mux is responsible for all communications to a Sutron Digital Direct Readout Ground Station (DDRGS) in a satellite system. XC Mux interfaces the PC to a Sutron DDRGS. The output of XC Mux is an ASCII file of satellite data compatible with XC Decode.

XC Decode

XC Decode is an program required in a satellite system. XC Decode automatically or manually reads in ASCII files of satellite data messages and extracts sensor values. As the values are decoded they are stored to disk and made available in XC Decode's database for real-time access. The data values are then available to other programs such as Wonderware Intouch for display, or XC RTDisplay or XC DataView. XC Decode uses XC Setup to obtain information on how to process each message that is received.

XC Daps

XC Daps is an optional program used in a satellite system. XC Daps automates a telnet sessions to the NOAA/DAPS sites. Each user that has received platform IDs/satellite IDs has a user account on the DAPS system. DAPS monitors and stores all satellite messages transmitted by all satellite IDs for 72 hours. Users can manually log in and download messages from the DAPS database if they do not have a DDRGS or the DDRGS is off-line.

XC Daps facilitates the download by automating the login and download commands. Like XC Mux, the output is an ASCII file of satellite data compatible with XC Decode.

XC Reports/Reports Scheduler

XC Reports is an optional program used with the database option. XC Reports is a viewer/container for reports created by Crystal Reports. Crystal Reports is a popular report generation tool used widely throughout the world. Once the report is created in Crystal Reports, it can be added to the report library and accessed by XC Reports. XConnect comes with over 50 reports for view data and diagnostics.

Reports can also be generated on a schedule using XC Report Scheduler. With an intuitive interface, user can schedule reports to be generated automatically at a designate time and interval. The report can be stored to disk or sent directly to a printer.

XC PostProc

XC PostProc is an optional program used with the database option. XC PostProc perforsm post-processing of the sensor data stored in the database. XC PostProc reads data from the sensor data tables, processes averages, minimums or maximums and stores the computed/post-processed data in the post-processed data tables.

XC Calc

XC Calc is an optional program used with the database option. XC Calc is a flexible real-time general purpose, multi-value calculator. XC Calc connects automatically to a local or remote XConnect servers. XC Calc will connect to XC Decode and/or XC Rtu to receive data, compute user-defined equation and then store to the database.

XC Export

XC Export is an optional program used with the database option. XC Export exports data from the XConnect database, on a user-defined schedule, to ASCII, SHEF or Excel files. Exported data can be incorporated in reports, imported by other databases, or used for a variety of other purposes.

XC Alarm

XC Alarm is an optional program. When used with the database option, XC Alarm evaluates sensor thresholds and alarms. Thresholds are entered using XC Desktop and stored in the database. When XC Alarm detects that alarm thresholds are exceeded, the user can be notified by fax, email or text messages.

XC Alarm also allows the user to monitor XConnect applications and data. Hearbeat checks will be made to XConnect applications. Data continuity is checked in XC Rtu. Also, database connectivity will also be monitored every minute. When database connectivity is restored, a ReInitialize will be sent to all the servers to re-connect to the database.


System Overview

System Description

XConnect is a family of software programs designed to collect and process data from data collection platforms (DCPs) and remote terminal units (RTUs). XConnect runs on a master station PC and can work with stations using telephone modems, cellular data packet modems, line of sight radio, direct connect and satellite communications. The field stations will usually be Sutron field stations although other manufacturer stations are also supported for systems using GOES communications or ALERT format data communications.

Master Station

The typical master station consists of a PC with one or more communications devices for retrieving the data from the field. The master station PC system with its modems or communications ports handles all the functions to collect, process, store and display data. It also provides data to other PCs that may be used in a network.

The master station runs in the Microsoft Windows™ environment. Windows™ provides multitasking so the separate functions to collect, process and store data can all run at the same time. Windows provides DDE (Dynamic Data Exchange) and COM (Component Object Model) so the programs can communicate with each other and with third party software such as INTOUCH™ and EXCEL™. Sutron uses INTOUCH™, Delphi™ and Visual Basic™ to build custom real-time displays.

Data Retrieval

A typical master station is configured to either poll stations for data at some interval or wait for data to arrive by itself. Conventional (telephone and radio) systems are generally polled while satellite systems are not. The master station can be set to poll stations for either currently-sampled data or stored log data. The typical field station will store data every few minutes or every hour into its log. Many Sutron field stations can hold several months of data in memory and send it to the master station when polled. The satellite stations use both self-timed and random reporting modes to transmit the data to the master station. The data transmitted is usually that which was previously collected and stored in its log.

Data Storage

When the master station receives this data, XConnect stores it into the user-selected data storage option. Data storage options include PcBase2 binary files, ASCII log files, EXCEL™ files, and ACCESS™ or Oracle™ databases. XConnect provides multiple applications to view, graph and report the data.

Data Flow for Conventional Systems

Data Flow for Satellite Systems

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Installing

Installing XConnect Software

In order to install XConnect:

  1. Close all programs.

  2. Insert the CD labeled XConnect into your CD-ROM drive. If Autorun is enabled on your system, the installation starts automatically and you can skip steps 3 and 4.

  3. From the Start menu, select Run.

  4. Type D:\setup (substitute the appropriate letter of your CD-ROM drive for D).

  5. Follow the instructions on the screen.

By default, XConnect is installed in C:\XConnect.


System requirements

Hardware

The minimum hardware requirements are:

CPU: | Pentium III or later
Memory: | 512MB or greater
Available disk space: | 60MB

Software

The minimum software requirements are:

Operating System: | Windows 2000 or later
Other software: | Oracle 8i, Access, SQL Server, MySQL (for database option)


Sample Implentations

  • XC Desktop was used to set up the master station. The setups from the 8200 were imported to create the station setups. Data files were created and sensors were assigned to the data files. Poll groups were set up to control the polling for data and to synchronize the clocks of the 8200.

  • XC Rtu runs continuously to poll the stations for data based on the poll schedule. XC Rtu process the incoming data and then stores it to the user-selected data storage option.

  • XC Setup runs continuously to provide setup information to programs that request it. XC Setup also receives from XC Rtu changes to setup values that change with each poll.

  • XC DataView is used to display the reports and graphs. Several different setting files have been saved -- one for the daily report, one for the weekly report and one for the monthly report.

This is a XConnect Standard or XConnect Standard w/Database system.

  • No changes are needed to the main PC because it already runs XC Rtu and has a modem, both of which are necessary for remote access.

On the remote PC,

  • XC DataView is used to display the reports and graphs. In XC Dataview, use the menu change/create a data source. XC Dataview then displays the graphs and reports just like when it is used on local data.

XC DataView is included on all XConnect systems.

  • A LOS modem is added to the master station.

  • XC Desktop is used to configure the COM port for the LOS modem. The 8210 setups are imported and the sensors are added to the data files. A poll schedule is set up for the LOS stations.

  • XC Rtu now will do both telephone and LOS polling and pass the data to XC Data.

  • XC Rtu process the incoming data and then stores it to the user-selected data storage option.

This is a XConnect Standard or XConnect Standard w/Database system.

  • The optional satellite software is needed for this expansion.

  • XC Desktop is used to configure the XC MUX program and the COM port that connects it to the receive site. Import is used to read the 8210 setups and automatically set up the decoding for the stations. The new sensors are added to the data files.

  • The XC Dataview reports are changed and saved to support the new stations.

This is a XConnect Satellite or XConnect Satellite w/Database system.

Implementation -- A Few Examples

The following scenarios give some ideas of how XCONNECT can be used to implement a system. Note how the systems can be expanded by adding and configuring various XConnect modules.

Scenario 1: A system collects data from 20 telephone based Sutron 8200 stations and stores the data into data files. Users display graphs and reports daily, weekly and monthly. Details

Scenario 2: The system in scenario one is expanded to use a remote workstation that will be able to display the reports. Details

Scenario 3: The system is expanded by adding 5 8210 based LOS radio stations. Detail

Scenario 4: The system is expanded to add 30 stations with GOES transmitters and a central receive site. Details


Software Startup

Configuring an XConnect system starts with XC Desktop. XC Desktop is the application where all XConnect servers are configured. XConnect servers denote data collection servers. As described in the XConnect Programs topic, many applications are a part of XConnect, servers and clients.

  1. From the Windows Start Menu, select Programs|XConnect|XC Desktop. The first window to appear will ask the user to whether to connect to start XC Setup on the local PC or to connect to an XC Setup on a remote computer. If XC Setup is already running, the window will not appear.

XC Setup must always be running. All XConnect servers will start it automatically if it is not running. XC Setup will read the XConnect setup parameters and stored them in memory. XC Desktop only provides a graphical user interface (GUI) to these parameters.

  2. If this is a new installation, XC Desktop will display a dialog box indicating this and will inform the user to start at the System Init window.
  3. The System Init window asks the user several basic question that configure a few underlying XConnect parameters.
  4. Answer the questions according to your system requirements.


Managing Data Files

Managing PcBase2 Data Files

XConnect continues to support the older PcBase2 data file format. The data files contain the data collected by the system. The data files are created using XC Desktop. When they are created they are configured to hold data from certain sensors at selected intervals. Typical data files are:

RAIN.DAT 15 Minute Accumulated Rainfall from all the stations

BATTERY.DAT Battery voltage from all the stations -- Hourly Data

COUNTER.DAT Counter data from all the stations -- 15 minute data

The files have a start time and then continue to grow to as new data arrives. There is no limit on the size of the file other than available disk space.


System Backup/Restore

The tape backup software provided with the system has detailed instructions and strategies on system backup. Refer to the manuals for further information. If Sutron did not provide the Base Station hardware, then we strongly recommend that you perform system backups.


Corporate Headquarters

Sutron Corporation provides real-time data collection, telemetry, and technical expertise to monitor, control, manage, model, and forecast activities in areas of hydrology, meteorology, and water resource management.

Address: | Sutron Corporation 21300 Ridgetop Circle Sterling, VA 20166 USA
Telephone: | 703-406-2800
Fax: | 703-406-2801
World Wide Web: | www.sutron.com
Office Hours: | Monday to Friday 8 am to 5 pm Eastern Standard Time


Sales

Contact your regional account representative for information about the latest products and services. Please visit our website at www.sutron.com for the latest contact information.


Technical Support

While most systems, software, and instruments can be installed and maintained by our customers, there are times when factory, field, or application engineering is needed. Any technical assistance required is available through telephone support, on-site expert service, and/or training. If you have additional questions, please do not hesitate to call us. Our sales engineers will advise the best solution for your situation.

Prior to calling, please have the following information available:

  • Locate your product serial number or maintenance contract number.

  • Determine your base station operating system version.

  • Find the version of XC Setup in the About box.

Phone: | 703-406-2800 (USA - corporate)
Fax: | 703-406-2801 (USA - corporate)
Email: | support@sutron.com
Office hours: | 8am to 5pm Eastern Standard Time
24-hour World Wide Web support: | http://www.sutron.com/support/default.htm


Accessing the Help

To find out more about how do something in XC Setup, access the online Help using any of the following methods.

To use the Contents, Index, or Search:

  • From the Help menu, select Contents & Index. Use the buttons and links to navigate.

To get Help on a window or dialog:

  • On any dialog, click the Help button.

    OR

  • Press F1 for help on any program window or dialog.

    OR

  • Right-click and select Help.


Finding information in the Help

You can find information in the Help in several ways.

To find information in the online Help:

  1. From the Help menu, click XC Setup Help.

  2. If the left-hand pane isn't visible, click the Contents, Index, or Search buttons.

  3. In the Help window, do the following:

Click: | To:
Contents | View the table of contents for the online Help. Click each book to display pages that link to topics, and click each page to display the corresponding topic in the right pane.
Index | Search for specific words or phrases or select from a list of index keywords. Click the keyword to display the corresponding topic in the right pane.
Search | Locate words or phrases within the content of your topics. Type the word or phrase in the text field, press ENTER, and select the topic you want from the list of topics.
Glossary | Display a list of words, short phrases, and their definitions related to Setup Server. When you select a term from the Term list, its corresponding definition is displayed in Definition.


Hyperlinks are clickable items such as text (typically underlined and displayed in a different color) that perform an action, such as displaying another topic or a Web page.

When you click a Related Topics button, a popup menu opens that displays a list of topics you can go to. These topics are relevant to what you are currently reading in the right pane. Click a topic in the popup menu to open it in the right pane.

When you click a drop-down hotspot, more information is displayed below the hotspot. You only need to click the hotspots you want to read. To hide the text, click the hotspot again.

When you click an expanding hotspot, more information is displayed immediately to the right of the hotspot. You only need to click the hotspots you want to read. To hide the text, click the hotspot again.

When you click a popup link, either a small window with text "pops up" or a topic opens "on top" of the currently open topic. Popups enable you to read additional information without leaving the current topic. When you finish reading the information in the popup, you can click any links it contains to jump to other information or close it by clicking again.

When you click the Previous or Next buttons, you can read through a series of topics that are arranged in a particular order. This allows you to learn about a subject in an easy-to-follow sequence.

Moving around in the Help

Use the following types of navigation in the Help to move around and display information (click the hotspots to read about each):

  • Hyperlinks:

  • Related Topics:

  • Drop-down text:

  • Expanding text:

  • Popups:

  • Browse sequences:


Printing the Help

While using online Help, you can print topics and information right from the browser window.

To print a Help topic:

  1. Right-click in the right pane and select Print. The Print dialog opens.

  2. Click Print. The topic is printed to the specified printer.


Using Windows

The software is designed to run under Microsoft Windows 95 or NT. All programs except XCData Desktop will also run under Microsoft Windows 3.1. You should become familiar with windows to get the most out of the software. The following tips will assist you in using windows:

  • Use the tutorial available in the Windows, Help menu. This tutorial will give useful training in using Windows.

  • Use ALT-TAB to switch between windows. ALT-SHIFT-TAB cycles though the window names in reverse order.

  • Do not close windows for XCRtu, XCData, XCLogger. Closing a window causes the program to stop. Instead of closing these programs, minimize them to keep them out of the way.

  • Use ALT-PrtSc to capture a window and copy it to the clipboard. Paste it into a document if you want to include it in a report or document.

  • If you have problems using "double click" to run programs or enter data, modify the double click speed by running control panel in the main program group.